<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "rawmain";
$trandb = "rawtran";
$formname = "Material Given to Karigar Register";
$file = "slmatreg.php";


$zroot = $_SESSION["zdir"];
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$invno = $_POST["invno"];
$party = $_POST["party"];
$dtype = $_POST["dtype"];
$scope = $_POST["scope"];
$printnar = $_POST["prna"];

$dtypecond = "";
$mscopecond = "";
$itemcond = "";
$gstcond = "";
$prodtypecond = "";

$mfrmdate = trim($_POST["fdate"]);
$mtodate = trim($_POST["tdate"]);

$srcond = "";
$branch = trim($_POST["series"]);
$spltype = $_SESSION["spltype_" . $dbname];
if ($spltype != 1) {
    if (!empty($branch)) {
        $srcond = "and `series`='$branch'";
    }
}




if (!empty($party)) {
    $partycond = " AND `party`='$party' ";
}
//    browse($partycond);
if (!empty($dtype)) {
    $dtypecond = " AND `dtype`='$dtype' ";
}

if (!empty($scope)) {
    $mscopecond = " AND `type`='$scope' ";
}

if (empty($_POST["fdate"])) {
    browse("From Date Cannot Be Empty");
    header("refresh:1; slgstreg.php");
}
if (empty($_POST["tdate"])) {
    browse("To Date Cannot Be Empty");
    header("refresh:1; slgstreg.php");
}

$getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` where
                           `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $partycond $srcond  order by vouchno
                            ")or die(mysqli_error($conn));
if (isset($_POST["view"])) {

    include("includes/linkshead.php");
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }
        .dtype{
            background-color: #cccccc;
        }
    </style>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-striped table-condensed table-bordered table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th width='5%'>Sr</th>
                                <?php if ($spltype != '1') { ?>
                                    <th width='5%'>Branch</th>
                                <?php } ?>
                                <th width='5%'>Invoice</th>
                                <th width='12%'>Date</th>
                                <th width='19%'>Party</th>
                                <!--<th width='10%'>Salesman</th>-->
                                <th width='5%' class="text-right">Amount</th>
                                <th width='5%' class="text-right">Discount</th>
                                <th width='11%' class="text-right">Bill.Amt</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $ttotamt = 0;
                            $totpack = 0;
                            $totbill = 0;
                            $totitmpr = 0;
                            $totdisc = 0;
                            $tottaxamt = 0;
                            $totcgst = 0;
                            $totsgst = 0;
                            $totigst = 0;


                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
                                $supp = mysqli_fetch_array($getsupp);
                                $getsale = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[salesman]'")or die(mysqli_error($conn));
                                $sale = mysqli_fetch_array($getsale);

                                $ctr++;
                                Echo "<tr id='boldfont'>";
                                Echo "<td>$ctr</td>";
                                if ($spltype != '1') {
                                    Echo "<td>$pmain[series]</td>";
                                }
                                Echo "<td>$pmain[invno]</td>";
                                Echo "<td>$pmain[mydt]</td>";
                                Echo "<td>$supp[name]</td>";
//                                Echo "<td>$sale[name]</td>";
                                Echo "<td class='text-right'>$pmain[subtotal]</td>";
                                Echo "<td class='text-right'>$pmain[lesother]</td>";
                                Echo "<td class='text-right'>$pmain[netamt]</td>";
                                Echo "</tr>";

                                $ttotamt = $ttotamt + $pmain[subtotal];
                                $totitmpr = $totitmpr + $pmain[lesother];

                                $totbill = $totbill + $pmain[netamt];

                                if ($_POST["dtype"] == 2 || $_POST["dtype"] == 3) {

                                    Echo "<tr style='height:10px;'>";
                                    Echo "<td colspan='25'>";
                                    Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    Echo "<th width='5%;'class='dtype'>Sr</th>";
                                    Echo "<th width='8%' class='dtype'>Material</th>";
                                    Echo "<th width='8%' class='dtype'>Color</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Yard</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Mtrs.</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Qty</th>";
//                                    Echo "<th width='6%' class='numeric dtype'>Unit</th>";
//                                    Echo "<th width='6%' class='numeric dtype'>Mrp</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Rate</th>";
                                    Echo "<th width='6%' class='numeric dtype'>Amount</th>";
                                    Echo "<tr>";

                                    $ctr2 = 0;
                                    $totyard = $totmtrs = $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;


                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'  and series='$pmain[series]'")or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `rawmat` WHERE `code`='$tran[item]'")or die(mysqli_error($conn));
                                        $item = mysqli_fetch_array($getitem);

                                        $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='$tran[color]'")or die(mysqli_error($conn));
                                        $color = mysqli_fetch_array($getcolor);


                                        $ctr2++;
                                        Echo "<tr>";
                                        Echo "<td>$ctr2</td>";
//                                        Echo "<td>$tran[barcode]</td>";
                                        Echo "<td>$item[name]</td>";
                                        Echo "<td>$color[name]</td>";
                                        Echo "<td class='numeric'>$tran[yard]</td>";
                                        Echo "<td class='numeric'>$tran[meters]</td>";
                                        Echo "<td class='numeric'>$tran[qty]</td>";
//                                        Echo "<td class='numeric'>$tran[unit]</td>";
//                                        Echo "<td class='numeric'>$tran[mrp]</td>";
                                        Echo "<td class='numeric'>$tran[rate]</td>";
                                        Echo "<td class='numeric'>$tran[amount]</td>";
                                        Echo "</tr>";

                                        $totamt = $totamt + $tran[amount];
                                        $tottaxable = $tottaxable + $tran[subtot];
                                        $totyard = $totyard + $tran[yard];
                                        $totmtrs = $totmtrs + $tran[meters];
                                        $totqty = $totqty + $tran[qty];
                                    }
                                    echo "<tr> ";
                                    $colr1 = "blue";

                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1' id='font1'><h5><b>Total</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totyard</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totmtrs</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totqty</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b></b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totamt</b></h5></td>";
                                    echo "</tr>";

                                    Echo "</table>";
                                    Echo "</td>";
                                }
                                if ($_POST["dtype"] == 3) {
                                    $gettran = mysqli_query($conn, "SELECT * FROM `prodmake` WHERE `vouchno`='$pmain[vouchno]'  and series='$pmain[series]'")or die(mysqli_error($conn));
                                    if (mysqli_num_rows($gettran) > 0) {
                                        Echo "<tr style='height:10px;'>";
                                        Echo "<td colspan='25'>";
                                        Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                        echo "<h4>Product Making</h4>";
                                        Echo "<th width='5%;' style='background-color:#0a8bfa' class='dtype'>Sr</th>";
                                        Echo "<th width='8%'  style='background-color:#0a8bfa' class='dtype'>Item</th>";
                                        Echo "<th width='8%'  style='background-color:#0a8bfa' class='dtype'>Color</th>";
                                        Echo "<th width='6%'  style='background-color:#0a8bfa' class='numeric dtype'>Qty</th>";
                                        Echo "<th width='6%'  style='background-color:#0a8bfa' class='numeric dtype'>Rate</th>";
                                        Echo "<tr>";

                                        $ctr2 = 0;
                                        $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;



                                        while ($tran = mysqli_fetch_array($gettran)) {

                                            $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[item]'")or die(mysqli_error($conn));
                                            $item = mysqli_fetch_array($getitem);

                                            $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='$tran[color]'")or die(mysqli_error($conn));
                                            $color = mysqli_fetch_array($getcolor);


                                            $ctr2++;
                                            Echo "<tr>";
                                            Echo "<td>$ctr2</td>";
                                            Echo "<td>$item[name]</td>";
                                            Echo "<td>$color[name]</td>";
                                            Echo "<td class='numeric'>$tran[qty]</td>";
                                            Echo "<td class='numeric'>$tran[rate]</td>";
                                            Echo "</tr>";
                                        }

                                        Echo "</table>";
                                        Echo "</td>";
                                    }
                                }
                            }

                            $colr = "green";
                            echo "<tr> ";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            if ($spltype != '1') {
                                Echo "<td></td>";
                            }
                            echo "<td align='right' style='color:$colr;'><h4><b>Grand Total</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$ttotamt</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totitmpr</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totbill</b></h4></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}


if (isset($_POST["excel"])) {
//    $party = $_POST["party"];
//    $salesman = $_POST["salesman"];
//    $item = $_POST["item"];
//    $prodtype = $_POST["prodtype"];
//    $dtype = $_POST["dtype"];
//    $gstperc = $_POST["gstperc"];
//
//    $dtypecond = "";
//    $mscopecond = "";
//    $itemcond = "";
//    $gstcond = "";
//    $prodtypecond = "";
//
//    $mfrmdate = trim($_POST["fdate"]);
//    $mtodate = trim($_POST["tdate"]);
//
//    if (!empty($party)) {
//        $partycond = " AND `party`='$party' ";
//    }
//    if (!empty($salesman)) {
//        $salemcond = " AND `salesman`='$salesman' ";
//    }
//    if (!empty($item)) {
//        $itemcond = " AND `item`='$item' ";
//    }
//    if (!empty($gstperc)) {
//        $gstcond = " AND  `gstperc`='$gstperc' ";
//    }
//    if (!empty($prodtype)) {
//        $prodtypecond = " AND `prodtype`='$prodtype' ";
//    }
//    if (!empty($dtype)) {
//        $dtypecond = " AND `dtype`='$dtype' ";
//    }
//
//    if (empty($_POST["fdate"])) {
//        browse("From Date Cannot Be Empty");
//        header("refresh:1; slgstreg.php");
//    }
//    if (empty($_POST["tdate"])) {
//        browse("To Date Cannot Be Empty");
//        header("refresh:1; slgstreg.php");
//    }
//
//    $getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` where
//                           `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $partycond  $itemcond 
//                            $salemcond $prodtypecond $gstcond order by vouchno")or die(mysqli_error($conn));

    $hd = '';
    if ($spltype != '') {
        $hd = 'Series,';
    }

    $contents .= "Sr,$hd Inv.No,Date,Supplier,Amount,Discount,Bill.Amt\n";

    $ctr = 0;
    $ttotamt = 0;
    $totpack = 0;
    $totbill = 0;
    $totitmpr = 0;
    $totdisc = 0;
    $tottaxamt = 0;
    $totcgst = 0;
    $totsgst = 0;
    $totigst = 0;

    while ($pmain = mysqli_fetch_array($getpmain)) {
        $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[party]'")or die(mysqli_error($conn));
        $supp = mysqli_fetch_array($getsupp);

        $ctr++;
        $contents .= $ctr . ",";
        if ($spltype != '1') {
            $contents .= $pmain['series'] . ",";
        }
        $contents .= $pmain['invno'] . ",";
        $contents .= $pmain['mydt'] . ",";
        $contents .= $supp['name'] . ",";
        $contents .= $pmain['subtotal'] . ",";
        $contents .= $pmain['lesother'] . ",";
        $contents .= $pmain['netamt'] . "\n";

        $ttotamt = $ttotamt + $pmain['subtotal'];
        $totitmpr = $totitmpr + $pmain['lesother'];
        $totbill = $totbill + $pmain['netamt'];

        if ($_POST["dtype"] == 2 || $_POST["dtype"] == 3) {

            $contents .= "Sr,Raw Material,Color,Yard, Mtrs.,Qty,Rate,Amount\n";


            $ctr2 = 0;
            $totqty = $totyard = $totmeters = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;


            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno` = '$pmain[vouchno]' and series='$pmain[series]'")or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getitem = mysqli_query($conn, "SELECT `code`, `name` FROM `rawmat` WHERE `code` = '$tran[item]'")or die(mysqli_error($conn));
                $item = mysqli_fetch_array($getitem);

                $getcolor = mysqli_query($conn, "SELECT `code`, `name` FROM `color` WHERE `code` = '$tran[color]'")or die(mysqli_error($conn));
                $color = mysqli_fetch_array($getcolor);

                $ctr2++;
                $contents .= $ctr2 . ",";
                $contents .= $item['name'] . ",";
                $contents .= $color['name'] . ",";
                $contents .= $tran['yard'] . ",";
                $contents .= $tran['meters'] . ",";
                $contents .= $tran['qty'] . ",";
                $contents .= $tran['rate'] . ",";
                $contents .= $tran['amount'] . "\n";


                $totyard = $totyard + $tran['yard'];
                $totmeters = $totmeters + $tran['meters'];
                $totamt = $totamt + $tran['amount'];
            }


            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= 'Total' . ",";
            $contents .= $totyard . ",";
            $contents .= $totmeters . ",";
            $contents .= $totqty . ",";
            $contents .= " " . ",";
            $contents .= $totamt . "\n";
        }
        $contents .= "\n";
        if ($_POST["dtype"] == 3) {
            $gettran = mysqli_query($conn, "SELECT * FROM `prodmake` WHERE `vouchno`='$pmain[vouchno]' and series='$pmain[series]'")or die(mysqli_error($conn));
            if (mysqli_num_rows($gettran) > 0) {
                $contents .= "Sr,Item,Color,Qty,Rate\n";


                $ctr2 = 0;
                $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = 0;



                while ($tran = mysqli_fetch_array($gettran)) {

                    $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[item]'")or die(mysqli_error($conn));
                    $item = mysqli_fetch_array($getitem);

                    $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='$tran[color]'")or die(mysqli_error($conn));
                    $color = mysqli_fetch_array($getcolor);

                    $ctr2++;
                    $contents .= $ctr2 . ",";
                    $contents .= $item['name'] . ",";
                    $contents .= $color['name'] . ",";
                    $contents .= $tran['qty'] . ",";
                    $contents .= $tran['rate'] . "\n";
                }
            }
        }
        $contents .= "\n";
        $contents .= "\n";
    }

    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= " " . ",";
    if ($spltype != '1') {
        $contents .= " " . ",";
    }
    $contents .= 'Grand Total' . ",";
    $contents .= $ttotamt . ",";
    $contents .= $totitmpr . ",";
    $contents .= $totbill . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>